Package dev.plex.command.impl

# Class MuteCMD

java.lang.Object
org.bukkit.command.Command
dev.plex.command.PlexCommand
dev.plex.command.impl.MuteCMD

All Implemented Interfaces:
  `org.bukkit.command.PluginIdentifiableCommand`

public class MuteCMD extends PlexCommand

## Field Summary

### Fields inherited from class dev.plex.command.PlexCommand

`plugin`

### Fields inherited from class org.bukkit.command.Command

`description, timings, usageMessage`

## Constructor Summary

Constructors
Constructor
Description
`MuteCMD()`

## Method Summary

Modifier and Type
Method
Description
`protected net.kyori.adventure.text.Component`
`execute(@NotNull org.bukkit.command.CommandSender sender, @Nullable org.bukkit.entity.Player playerSender, String[] args)`
Executes the command
`@NotNull List<String>`
`tabComplete(@NotNull org.bukkit.command.CommandSender sender, @NotNull String alias, @NotNull String[] args)`

### Methods inherited from class dev.plex.command.PlexCommand

`checkRank, checkRank, checkTab, checkTab, componentFromString, getLevel, getMap, getNonNullPlayer, getNonNullWorld, getOfflinePlexPlayer, getOnlinePlexPlayer, getPlexPlayer, getPlugin, getUUID, isAdmin, isAdmin, isAdmin, isConsole, isSeniorAdmin, messageComponent, messageComponent, messageString, mmString, noColorComponentFromString, send, send, silentCheckRank, usage, usage`

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, getAliases, getDescription, getLabel, getName, getPermission, getPermissionMessage, getTimingName, getUsage, isRegistered, permissionMessage, permissionMessage, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, testPermission, testPermissionSilent, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MuteCMD

public MuteCMD()

## Method Details

### execute

protected net.kyori.adventure.text.Component execute(@NotNull @NotNull org.bukkit.command.CommandSender sender, @Nullable @Nullable org.bukkit.entity.Player playerSender, String[] args)
Description copied from class: `PlexCommand`
Executes the command

Specified by:
  `execute` in class `PlexCommand`
Parameters:
  `sender` - The sender of the command
  `playerSender` - The player who executed the command (null if CommandSource is console or if CommandSource is any but console executed)
  `args` - A Kyori Component to send to the sender (can be null)

### tabComplete

@NotNull public @NotNull List<String> tabComplete(@NotNull @NotNull org.bukkit.command.CommandSender sender, @NotNull @NotNull String alias, @NotNull @NotNull String[] args) throws IllegalArgumentException

Overrides:
  `tabComplete` in class `org.bukkit.command.Command`
Throws:
  `IllegalArgumentException`